oracle.adf.view.rich.context

## Class DialogService

- java.lang.Object
- - oracle.adf.view.rich.context.DialogService

-     @Exported
      public abstract class DialogService
      extends Object

  Largely a mirror for the Trinidad DialogService, this class also contains additional DialogService functionality that is only exposed by the rich client framework. Developers should only use two of the methods published by this interface. The others are reserved for internal use by the framework only.
  See Also:
    `launchDialog(javax.faces.component.UIViewRoot, java.util.Map<java.lang.String, java.lang.Object>, javax.faces.component.UIComponent, boolean, java.util.Map<java.lang.String, java.lang.Object>)`, `returnFromDialog(java.lang.Object, java.util.Map<java.lang.Object, java.lang.Object>)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DialogService()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract javax.faces.component.UIComponent` | `getCurrentLaunchSource()` The direct use of this API is reserved for an interface between layers of the Fusion stack and should not be directly called by an application.
    `abstract Map<String,Object>` | `getInitialDialogParameters()` The direct use of this API is reserved for an interface between layers of the Fusion stack and should not be directly called by an application.
    `abstract org.apache.myfaces.trinidad.event.ReturnEvent` | `getReturnEvent(javax.faces.component.UIComponent source)` Deprecated. For internal use only and only exposed in support of the legacy Trinidad dialog framework API.
    `abstract boolean` | `isDialogInNewWindow()` The direct use of this API is reserved for an interface between layers of the Fusion stack and should not be directly called by an application.
    `abstract void` | `launchDialog(javax.faces.component.UIViewRoot dialogRoot, Map<String,Object> dialogParameters, javax.faces.component.UIComponent source, boolean useWindow, Map<String,Object> windowProperties)` Launches a dialog without pushing a process scope.
    `abstract javax.faces.component.UIViewRoot` | `peekView()` Deprecated. For internal use only and only exposed in support of the legacy Trinidad dialog framework API. When ADFc page flows are in the runtime classpath, this is non-functional. Note: the JDEV compile time classpath will not be the same as the runtime classpath with the Fusion stack running under Weblogic Server (WLS).
    `abstract void` | `popView(boolean navigateToPopped)` Deprecated. For internal use only and only exposed in support of the legacy Trinidad dialog framework API. When ADFc page flows are in the runtime classpath, this is non-functional. Note: the JDEV compile time classpath will not be the same as the runtime classpath with the Fusion stack running under Weblogic Server (WLS).
    `abstract void` | `pushView(javax.faces.component.UIViewRoot viewRoot)` Deprecated. For internal use only and only exposed in support of the legacy Trinidad dialog framework API. When ADFc page flows are in the runtime classpath, this is non-functional. Note: the JDEV compile time classpath will not be the same as the runtime classpath with the Fusion stack running under Weblogic Server (WLS).
    `abstract void` | `queueLaunchEvent(javax.faces.component.UIViewRoot dialogRoot)` The direct use of this API is reserved for an interface between layers of the Fusion stack and should not be directly called by an application.
    `abstract void` | `queueNewWindowLaunchEvent(String viewId)` The direct use of this API is reserved for an interface between layers of the Fusion stack and should not be directly called by an application.
    `abstract void` | `queueReturnEvent(Object returnValue, Map<Object,Object> returnParams)` The direct use of this API is reserved for an interface between layers of the Fusion stack and should not be directly called by an application.
    `abstract boolean` | `returnFromDialog(Object returnValue, Map<Object,Object> returnParameters)` Returns from a dialog without popping a process scope.
    `abstract void` | `setCurrentLaunchSource(javax.faces.component.UIComponent component)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DialogService

          public DialogService()

  - ### Method Detail

    - #### pushView

          @Deprecated
          public abstract void pushView(javax.faces.component.UIViewRoot viewRoot)

      Deprecated. For internal use only and only exposed in support of the legacy Trinidad dialog framework API. When ADFc page flows are in the runtime classpath, this is non-functional. Note: the JDEV compile time classpath will not be the same as the runtime classpath with the Fusion stack running under Weblogic Server (WLS).
      Parameters:
        `viewRoot` - the UI View root

    - #### popView

          @Deprecated
          public abstract void popView(boolean navigateToPopped)

      Deprecated. For internal use only and only exposed in support of the legacy Trinidad dialog framework API. When ADFc page flows are in the runtime classpath, this is non-functional. Note: the JDEV compile time classpath will not be the same as the runtime classpath with the Fusion stack running under Weblogic Server (WLS).
      Parameters:
        `navigateToPopped` - Whether to navigate to the popup.

    - #### peekView

          @Deprecated
          public abstract javax.faces.component.UIViewRoot peekView()

      Deprecated. For internal use only and only exposed in support of the legacy Trinidad dialog framework API. When ADFc page flows are in the runtime classpath, this is non-functional. Note: the JDEV compile time classpath will not be the same as the runtime classpath with the Fusion stack running under Weblogic Server (WLS).
      Returns:
        the UI view root.

    - #### getReturnEvent

          @Deprecated
          public abstract org.apache.myfaces.trinidad.event.ReturnEvent getReturnEvent(javax.faces.component.UIComponent source)

      Deprecated. For internal use only and only exposed in support of the legacy Trinidad dialog framework API.
      Creates a `ReturnEvent` for a component. This method will generally be called from a Renderer's or UIComponent's decode() method if there is any possibility that it launched a dialog on a prior request. There is no requirement that the component directly supports `ReturnListener`; decode() can simply use the return value and discard the event.

      This method will return null in the case where no dialog had been launched with this component as the source. If it returns a non-null event, the component or renderer should not process the request any further in decode(), but simply process the ReturnEvent, either by using its return value or queueing it for delivery.

      Parameters:
        `source` - the component that may have launched a dialog
      Returns:
        a ReturnEvent containing the `return value` from the dialog.

    - #### getCurrentLaunchSource

          public abstract javax.faces.component.UIComponent getCurrentLaunchSource()

      The direct use of this API is reserved for an interface between layers of the Fusion stack and should not be directly called by an application.

      Returns:
        the launcher component last set by `setCurrentLaunchSource(javax.faces.component.UIComponent)`.

    - #### setCurrentLaunchSource

          @Deprecated
          public abstract void setCurrentLaunchSource(javax.faces.component.UIComponent component)

      Deprecated.
      A component that is delivering an ActionEvent to the default ActionListener should call this method to allow a NavigationHandler to properly launch a dialog, and should reset the value to null afterwards. * @deprecated For internal use only and only exposed in support of the legacy Trinidad dialog framework API.
      Parameters:
        `component` - the UI Component.

    - #### launchDialog

          public abstract void launchDialog(javax.faces.component.UIViewRoot dialogRoot,
                                            Map<String,Object> dialogParameters,
                                            javax.faces.component.UIComponent source,
                                            boolean useWindow,
                                            Map<String,Object> windowProperties)

      Launches a dialog without pushing a process scope. This method should only be used by controller framework code; all others should use `AdfFacesContext.launchDialog()` . The process scope must be `pushed` before calling this method.
      Parameters:
        `dialogRoot` - the dialog root.
        `dialogParameters` - map of dialog paramaters.
        `source` - the source UI component.
        `useWindow` - whether to use a window.
        `windowProperties` - map of window properties.

    - #### returnFromDialog

          public abstract boolean returnFromDialog(Object returnValue,
                                                   Map<Object,Object> returnParameters)

      Returns from a dialog without popping a process scope. This method should only be used by controller framework code; all others should use `AdfFacesContext.returnFromDialog()` . The process scope must be `popped` after calling this method.
      Parameters:
        `returnValue` - the return value.
        `returnParameters` - map of return parameters.
      Returns:
        true if pages accessing that dialog are necessarily permanently inaccessible. For example, a dialog displayed in a popup window is inacessible once the window has closed, but a dialog displayed within the same window might be reached by the back button.

    - #### queueLaunchEvent

          public abstract void queueLaunchEvent(javax.faces.component.UIViewRoot dialogRoot)

      The direct use of this API is reserved for an interface between layers of the Fusion stack and should not be directly called by an application.

      Queues a LaunchEvent that will result in a dialog being started, using `current launch source` as the source for launching the dialogRoot parameter. The process scope must be `pushed` before calling this method. If `getCurrentLaunchSource()` returns `null`, a basic dialog will be started without using a window or passing any additional parameters. Developers should not call `FacesContext.setViewRoot()` when using this method.

      Parameters:
        `dialogRoot` - the UI voew root for the dialog.

    - #### queueReturnEvent

          public abstract void queueReturnEvent(Object returnValue,
                                                Map<Object,Object> returnParams)

      The direct use of this API is reserved for an interface between layers of the Fusion stack and should not be directly called by an application.

      Queues a ReturnEvent, using `current launch source` as the source for launching the dialogRoot parameter. This method should be used by a `NavigationHandler` that can identify a return value from a dialog without actually launching the dialog.

      Parameters:
        `returnValue` - the return value.
        `returnParams` - map of return paramaters.

    - #### isDialogInNewWindow

          public abstract boolean isDialogInNewWindow()

      The direct use of this API is reserved for an interface between layers of the Fusion stack and should not be directly called by an application.

      Returns true if the dialog that is currently being launched will be displayed in a new window. This may be affected either by agent metadata or component properties.

      Returns:
        true if the dialog will be in a new window, false if not

    - #### queueNewWindowLaunchEvent

          public abstract void queueNewWindowLaunchEvent(String viewId)

      The direct use of this API is reserved for an interface between layers of the Fusion stack and should not be directly called by an application.

      Begins the process of launching a dialog in a new window by queuing a LaunchEvent. This method may only be called if isDialogInNewWindow() returned true. Developers should not typically not call this method; the caller of this method is responsible for ensuring that when the dialog is shown, a new page flow scope is created, getInitialDialogParameters() is called, and the Map returned from getInitialDialogParameters() is added to the new page flow scope.

      Parameters:
        `viewId` - the view id.

    - #### getInitialDialogParameters

          public abstract Map<String,Object> getInitialDialogParameters()

      The direct use of this API is reserved for an interface between layers of the Fusion stack and should not be directly called by an application.

      Returns a Map of objects that should be entered into page flow scope. Any code that invokes queueNewWindowLaunchEvent() must ensure that getInitialDialogParameters() is called when that viewId is eventually shown, and all values returned are moved into the page flow scope.

      Returns:
        map of objects that should be entered into page flow scope.

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.